nfsft_wisdom Struct Reference
NFSFT - Nonequispaced fast spherical Fourier transform

Wisdom structure. More...

`#include <api.h>`

Collaboration diagram for nfsft_wisdom:
[legend]

## Data Fields

bool | initialized
| Indicates wether the structure has been initialized.
unsigned int | flags
int | N_MAX
| Stores precomputation flags.
int | T_MAX
| The logarithm /f$t = \log_2 N_{\text{max}}/f$ of the maximum bandwidth.
double * | alpha
| Precomputed recursion coefficients /f$\alpha_k^n/f$ for /f$k = 0,/ldots, N_{\text{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double * | beta
| Precomputed recursion coefficients /f$\beta_k^n/f$ for /f$k = 0,/ldots, N_{\text{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double * | gamma
| Precomputed recursion coefficients /f$\gamma_k^n/f$ for /f$k = 0,/ldots, N_{\text{max}}; n=-k,/ldots,k/f$ of associated Legendre-functions /f$P_k^n/f$.
double | threshold
| The threshold /f$\kappa/f$.
fpt_set | set
| Structure for discrete polynomial transform (DPT).

## Detailed Description

Wisdom structure.

Definition at line 56 of file kernel/nfsft/api.h.

The documentation for this struct was generated from the following file:

- kernel/nfsft/api.h